import 'package:json_annotation/json_annotation.dart';

part 'brand_model.g.dart';
@JsonSerializable()
class BrandModel {
  @JsonKey(name: 'product_name')
  final String? productName;
  @JsonKey(name: 'product_price')
  final String? productPrice;
  @JsonKey(name: 'product_link')
  final String? productLink;
  final String? commision;
  final String? logo;
  @JsonKey(name: 'thumnail_link')
  final String? thumnailLink;
  @JsonKey(name: 'quantity_sold')
  final String? quantitySold;
  final String? direction;

  BrandModel({
    this.productName,
    this.productPrice,
    this.productLink,
    this.commision,
    this.logo,
    this.thumnailLink,
    this.quantitySold,
    this.direction,
  });

  factory BrandModel.fromJson(Map<String, dynamic> json) => _$BrandModelFromJson(json);
  Map<String, dynamic> toJson() => _$BrandModelToJson(this);
}
